# IRdHair Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetHairParameterProvider ([in] IRsHairParameterProvider *pParamProvider)
HRESULT | GetHairParameterProvider ([out, retval] IRsHairParameterProvider **ppParamProvider)
HRESULT | GetOfflineGenerator ([out, retval] IRsHairStrandGeneratorAlg **ppGeneratorAlg)
HRESULT | SetRealtimeGenerator ([in] IRsHairStrandGeneratorAlg *pGenerator)
HRESULT | GetRealtimeGenerator ([out, retval] IRsHairStrandGeneratorAlg **ppGenerator)
HRESULT | CreateGenerator ([out, retval] IRsHairStrandGeneratorAlg **ppGenerator)
HRESULT | CreateParameterProvider ([out, retval] IRsHairParameterProvider **ppProvider)

## Detailed Description

Representation of hair on node. This is used by offline renderer to get direct access to hair generator. All hair data are stored in mesh vertex streams.

## Member Function Documentation

HRESULT IRdHair::SetHairParameterProvider | ( | [in] IRsHairParameterProvider * | pParamProvider | ) |

Sets the parameter provider which will be used to generate hair.

Parameters:

  | pParamProvider | [in] Instance of parameter provider.

HRESULT IRdHair::GetHairParameterProvider | ( | [out, retval] IRsHairParameterProvider ** | ppParamProvider | ) |

Returns currently set parameter provider.

Returns:
  ppParamProvider [out,retval] Output parameter provider reference.

HRESULT IRdHair::GetOfflineGenerator | ( | [out, retval] IRsHairStrandGeneratorAlg ** | ppGeneratorAlg | ) |

Gets the hair generator for offline rendering. Usually, offline generator produces more dense hair than real-time one.

Returns:
  ppGeneratorAlg [out,retval] Output reference for generator.

HRESULT IRdHair::SetRealtimeGenerator | ( | [in] IRsHairStrandGeneratorAlg * | pGenerator | ) |

Sets the real-time generator for real-time rendering. Usually, real-time generator produces more sparse hair than offline.

Parameters:

  | ppGeneratorAlg | [in] Output reference for generator.

HRESULT IRdHair::GetRealtimeGenerator | ( | [out, retval] IRsHairStrandGeneratorAlg ** | ppGenerator | ) |

Gets the hair generator for realtime rendering.

Returns:
  ppGenerator [out,retval] Output reference for returned generator.

HRESULT IRdHair::CreateGenerator | ( | [out, retval] IRsHairStrandGeneratorAlg ** | ppGenerator | ) |

Creates new instance of hair generator this can be used for real-time or offline rendering

Returns:
  ppGenerator [out,retval] Created generator.

HRESULT IRdHair::CreateParameterProvider | ( | [out, retval] IRsHairParameterProvider ** | ppProvider | ) |

Creates new hair parameter provider which is used for storing hair data.

Returns:
  ppProvider [out,retval] .